import { defineComponent } from "vue";
import { any } from "vue-types";
import { Image } from "../baseUI/Image";
import { Textarea } from "../baseUI/Textarea";
import { View } from "../baseUI/View";

export const Card = defineComponent({
  props: {
    value: any<{
      title1: string;
      title2: string;
    }>().def({
      title1: "",
      title2: "",
    }),
  },
  setup(props) {
    return () => (
      <View>
        <Image v-model={[props.value.title1, "value"]} />
        <Textarea v-model={[props.value.title2, "value"]} />
      </View>
    );
  },
});
