import { useEditor } from "@/modules/editor";
import { defineUI } from "queenjs";

export default defineUI({
  setup() {
    const editor = useEditor();
    const { AttrsUI } = editor.components;

    return () => {
      const { currComp } = editor.store;
      const CurrCompAttrs = AttrsUI[currComp?.compKey as "Image"];
      return (
        <div>
          <div class="p-16px border-bottom !border-2px">设置栏</div>
          <div class="m-16px">
            <div>当前组件</div>
            {currComp && CurrCompAttrs && (
              <div class="py-16px space-y-10px">
                <CurrCompAttrs v-model={[currComp.value, "value"]} />
              </div>
            )}
          </div>
        </div>
      );
    };
  },
});
