import { IComponent, ObjType } from "queenjs/typing";
import components from "../../components";
import { ICompKeys } from "../../typings";

type UIOptions = {
  name: string;
  component?: IComponent;
  valueOpts: { label: string; dataIndex: string; dataType: string }[];
  defaultValue?: any;
};

export function getOption<T extends ObjType<any>, K>(
  obj: T,
  key: K
): K extends keyof T ? T[K] : undefined {
  return (obj as any)[key];
}

export function createUIOptions<
  T extends {
    [name in ICompKeys]?: UIOptions;
  }
>(opts: T) {
  Object.entries(opts).forEach(([key, opt]) => {
    opt.component = components.CompUI[key as ICompKeys];
  });
  return opts as {
    [name in keyof T]: T[name] & { component: IComponent; defaultValue: any };
  };
}
