import { createUIOptions } from "./create";

export const compUIOptions = createUIOptions({
  Text: {
    name: "文字",
    valueOpts: [
      {
        label: "文字内容",
        dataIndex: "",
        dataType: "text",
      },
    ],
  },

  Textarea: {
    name: "富文本",
    valueOpts: [
      {
        label: "内容",
        dataIndex: "",
        dataType: "textarea",
      },
    ],
  },

  Image: {
    name: "图片",
    valueOpts: [
      {
        label: "图片链接",
        dataIndex: "",
        dataType: "picture",
      },
    ],
  },

  CardDemo: {
    name: "卡片",
    valueOpts: [
      {
        label: "标题",
        dataIndex: "title",
        dataType: "input",
      },
      {
        label: "卡片数量",
        dataIndex: "cardColumns",
        dataType: "number",
      },
      {
        label: "主题颜色",
        dataIndex: "themeColor",
        dataType: "color",
      },
    ],
    defaultValue: {
      cardColumns: 3,
      themeColor: "#ffc001",
      title: "标题",
      desc: "描述",
      list: [
        { name: "name", img: "", desc: "xxx" },
        { name: "name", img: "", desc: "xxx" },
        { name: "name", img: "", desc: "xxx" },
      ],
    },
  },
});
