import { useResource } from "@/modules/resource";
import { Button } from "ant-design-vue";
import { defineComponent } from "vue";
import AssetsList from "../components/AssetsList";

export default defineComponent({
  setup() {
    const resource = useResource();

    return () => {
      return (
        <div>
          <div class="flex items-center justify-between">
            <h3 class="text-22px">我的推广</h3>
            <Button type="primary">新增+</Button>
          </div>
          <AssetsList
            columns={4}
            gap="25px"
            class="my-30px"
            control={resource.controls.matTempListCtrl}
            item={() => <resource.components.PromotionItem />}
          />
        </div>
      );
    };
  },
});
