import { useResource } from "@/modules/resource";
import { css } from "@linaria/core";
import { useModal } from "queenjs";
import { defineComponent, onMounted } from "vue";
import { string } from "vue-types";
import AssetsList from "../../components/AssetsList";

export default defineComponent({
  props: {
    type: string(),
  },
  setup(props) {
    const modal = useModal();
    const resource = useResource();

    onMounted(() => {
      resource.controls.matTempListCtrl.state.query = {
        type: props.type,
      };
      resource.controls.matTempListCtrl.loadPage(1);
    });

    return () => {
      return (
        <div class={rootStyles}>
          <AssetsList
            control={resource.controls.matTempListCtrl}
            item={(record: any) => (
              <resource.components.MaterialItem
                use="select"
                record={record}
                onSelect={() => {
                  modal.cancel();
                  resource.actions.selectMaterial(record);
                }}
              />
            )}
          />
        </div>
      );
    };
  },
});

const rootStyles = css``;
