import { css } from "@linaria/core";
import { List } from "@queenjs/ui";
import { Empty, Pagination } from "ant-design-vue";
import { nanoid } from "nanoid";
import { defineComponent } from "vue";
import { any, number, string } from "vue-types";

export default defineComponent({
  props: {
    columns: number().def(5),
    gap: string().def("15px"),
    item: any().isRequired,
    control: any().isRequired,
  },
  setup(props) {
    return () => {
      const { control, columns, gap } = props;
      const data =
        //  control.state.list ||
        new Array(20).fill({ id: nanoid() });
      return (
        <div class={styles}>
          <List data={data} columns={columns} gap={gap}>
            {{
              item: (record: any) => props.item?.(record),
              empty: () => <Empty class="py-50px" description="暂无数据" />,
            }}
          </List>
          <div class="text-center my-30px">
            <Pagination
              size="default"
              hideOnSinglePage
              total={control.state.total}
              onChange={control.loadPage}
            />
          </div>
        </div>
      );
    };
  },
});

const styles = css`
  /*  */
`;
