import { css, cx } from "@linaria/core";
import { Layout } from "ant-design-vue";
import { defineComponent } from "vue";
import LeftContent from "./LeftContent";

export default defineComponent({
  setup() {
    return () => {
      return (
        <Layout class={cx("!h-100vh flex", rootStyles)}>
          <Layout.Sider
            class="scrollbar !bg-transparent overflow-y-auto"
            theme="light"
            width="380px"
          >
            <LeftContent />
          </Layout.Sider>
          <Layout.Content class="container scrollbar flex-1 my-20px mr-25px rounded-20px p-50px overflow-y-auto">
            <router-view></router-view>
          </Layout.Content>
        </Layout>
      );
    };
  },
});

const rootStyles = css`
  background-color: @inf-layout-bg;
  .container {
    background-color: @inf-modal-bg;
  }
`;
