import { createRouter, createWebHashHistory, RouteRecordRaw } from "vue-router";
import ProfileLayout from "./components/layout/ProfileLayout";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    name: "homePage",
    meta: {
      needAuth: true,
    },
    component: () => import("./Home"),
  },
  {
    path: "/editor/:id",
    name: "editor",
    meta: {
      needAuth: true,
    },
    component: () => import("./EditMaterial"),
  },
  {
    path: "/workbench",
    name: "workbench",
    meta: {
      needAuth: true,
    },
    redirect: "/workbench/design",
    component: ProfileLayout,
    children: [
      {
        path: "/workbench/design",
        name: "design",
        component: () => import("./Design"),
      },
      {
        path: "/workstage/material",
        name: "material",
        component: () => import("./Material"),
      },
      {
        path: "/settings",
        name: "settings",
        component: () => import("./Settings"),
      },
    ],
  },
  {
    path: "/login",
    name: "login",
    component: () => import("@queenjs-modules/auth/components/Login"),
  },
  {
    path: "/forget",
    name: "forget",
    component: () => import("@queenjs-modules/auth/components/Forget"),
  },
  {
    path: "/register",
    name: "register",
    component: () => import("@queenjs-modules/auth/components/Register"),
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
